cascading.flow.planner.iso.assertion

## Class GraphAssert<E extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<E>

- Direct Known Subclasses:
    RuleAssert

      public abstract class GraphAssert<E extends ElementGraph>
      extends Object

  TODO: add level for warning or error, and fail on errors

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphAssert.AssertionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphAssert(ExpressionGraph expressionGraph, String message)`
    `GraphAssert(ExpressionGraph expressionGraph, String message, GraphAssert.AssertionType assertionType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Asserted` | `assertion(PlannerContext plannerContext, E graph)`
    `protected abstract Transformed` | `transform(PlannerContext plannerContext, E graph)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphAssert

          public GraphAssert(ExpressionGraph expressionGraph,
                     String message)

    - #### GraphAssert

          public GraphAssert(ExpressionGraph expressionGraph,
                     String message,
                     GraphAssert.AssertionType assertionType)

  - ### Method Detail

    - #### transform

          protected abstract Transformed transform(PlannerContext plannerContext,
                              E graph)

    - #### assertion

          public Asserted assertion(PlannerContext plannerContext,
                           E graph)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.